View Issue Details

IDProjectCategoryView StatusLast Update
0003118Battlefield 1UIpublic2017-04-25 20:55
ReporterMoloch 
SeverityminorReproducibilityrandom 
Status ConfirmedResolutionOpen 
PlatformPC 
Product VersionUpdate 12132016 
Fixed in Version 
Summary0003118: Spawn map UI slow update
DescriptionAt random intervals the flag and vehicle icons dont update like they should, flag icons dont update instantly when being taken/overtaken but lag behind and then catch up quickly to the actual progress made on that flag. Or they dont change from the square icon to the round icon but instead get a mix of both. Or my team takes over a flag but it stays a blue circle for a while before actually changing to a spawn point.

Vehicle icons dont switch instantly from my home base to the closest flag that my team has taken, leaving me with either no tank icons or icons on 2 flags, or the icon has been on flag A and i see 2 people spawning while the icon did not even change to 1/2 available for me.

All this happens with a 15ms ping and a strong pc that never dips below 60 fps (vsync 60hz). One minute everything works like it should, a minute later everything lags behind.

Some images from icons not updating or giving a mixed icon:

https://i.imgur.com/ADI0u2v.jpg
https://i.imgur.com/fm3Hqy3.jpg
https://i.imgur.com/EofAdIS.jpg
https://i.imgur.com/3b4TvFI.jpg

Here you can see the train has spawned a minute ago but the icon next to the score is missing:

https://i.imgur.com/L3lELVQ.jpg

Relationships

Activities

Moloch

2016-12-30 15:15

User
  ~0003475

Last edited: 2016-12-30 15:16

View 2 revisions

"but it stays a blue circle for a while before actually changing to a spawn point" typo, should be a "blue square" as seen in the first image, sorry.

Moloch

2017-01-02 13:00

User
  ~0003482

Last edited: 2017-01-05 19:39

View 2 revisions

Noticed that when the map is lagging behind, if i press the Squad button and then immediately back out of it everything suddenly catched up/is updated.

Moloch

2017-01-05 19:36

User
  ~0003485

Last edited: 2017-01-05 19:37

View 3 revisions

Have been testing on different maps, this only happens on Sinai Desert (as you can see from the images), doesnt matter which server, flag icons take 5-15 seconds to update most of the time, there are rare occurences of them updating instantly but they are scarce, on any other map the icons update instantly and never lose track/lag.

Moloch

2017-01-06 22:08

User
  ~0003488

Last edited: 2017-01-06 22:46

View 4 revisions

As you can see in the attachment it says "Objective E lost" even though on the spawn map it shows that it is still partly ours. After 10 or so seconds it updated correctly and showed the enemy's progress on it.



wtf.jpg (51,522 bytes)
wtf.jpg (51,522 bytes)

Moloch

2017-01-08 00:28

User
  ~0003490

Last edited: 2017-01-08 00:29

View 3 revisions

After playing the map more today, when the amount of people dropped to 19vs18 i noticed everything updated instantly, when more people came in 30vs30+ the icons started lagging again. The next round when a bunch of people left it was instantly again, when the server was near capacity it was lagging again, and so on.

Moloch

2017-01-15 18:51

User
  ~0003513

Last edited: 2017-01-22 14:14

View 3 revisions

Interesting, played on a custom sinai only server just now (200% tickets) and everything updated instantly when it was full the entire time. The same server that kept lagging with the icons before it was a custom server.

edit: the server changed back to a non-custom sinai only and the icons are lagging again when there is more than 40-ish people in it.

Moloch

2017-01-22 23:36

User
  ~0003524

Recorded the issue: https://www.youtube.com/watch?v=jadiu836pBg

Moloch

2017-02-03 17:51

User
  ~0003591

Last edited: 2017-02-03 17:51

View 2 revisions

Had one match yesterday when the icons did not lag at all when the server was full, first time that ever happened, around 5pm (gmt+1), played again an hour later and it was back.

Also, i installed BF1 on my old pc thats running on windows 7, same issue.

Moloch

2017-02-14 17:37

User
  ~0003635

Last edited: 2017-02-14 17:41

View 2 revisions

No change after the update, still have to click on "Squads" on the spawn map and then back out of it for the icons/vehicles to show the real progress/location.

If you need any logs or dxdiag or whatever let me know, happy to help.

Moloch

2017-02-14 18:40

User
  ~0003637

I noticed the Extr Offset is rather high on the spawn map (118), when i click on squads it is the same as playing (8), could this have something to do with it? then again, same thing on other maps but i dont have any flag/spawn point lag there.

Moloch

2017-02-23 00:10

User
  ~0003697

Last edited: 2017-02-23 00:11

View 2 revisions

Extensively tested other maps, this issue happens on Suez and Giants Shadow too. All other maps are not affected.

Moloch

2017-03-08 01:19

User
  ~0003793

Last edited: 2017-03-08 01:35

View 7 revisions

Played on a US server this evening, this issue happens there too but alot less severe, even though my ping there is around 120 compared to 15 on the dutch servers where it is really bad. The same for servers located in Italy, happens but not nearly as bad.

Things i have tried so far:

- Network cable directly connected my pc instead of my switch
- Enable/disable UPnP
- Ports forwarded (even put my pc in the DMZ once)
- BIOS updated
- Closed as many background apps as possible (including antivirus/firewall)
- In place repair of windows 10
- Using a NIC instead of onboard network
- Played on my old pc (windows 7, different hardware + config)
- TCP optimizer (optimal/default/100mb+)
- Connected my KB/mouse to my pc ports instead of monitor hub
- Launching the game in compatibility mode
- BF1 is being run as admin
- Fullscreen/windowed/borderless
- Verifying game files
- Reverting ingame settings to default
- Confirming Intel speedstep was disabled
- Cores unparked
- HPET disabled in BIOS
- BF1 & Origin folders added to exclude on antivirus
- BF1 & Origin granted full network access
- Disabled Nagle's algorithm
- Different nvidia drivers (only the driver + physx is installed, using DDU to cleanup beforehand)
- Only IPv4 is checked in my Ethernet settings
- Checksum offloading on my NIC or no offloading
- TCP global parameters: only RSS is enabled, congestion is ctcp, auto-tuning: normal
- Ingame network graph shows 0% packet loss

My hardware:

Intel i7 4790K
Asus Maximus VII Ranger
Asus GTX 980 Strix
16GB Corsair 1866MHz (XMP in BIOS)
Samsung 850 EVO 500GB

Nothing is overclocked.

Moloch

2017-03-14 19:40

User
  ~0003845

Last edited: 2017-03-14 19:44

View 4 revisions

No change after the update, instead, heres a picture with 3 tank spawn points: https://i.imgur.com/88GGl8p.jpg

Its odd that spawned infantry/planes/tanks/cars/horsemen/bikes can all be seen moving on the spawn map without a hitch, but flag progress and tank spawns lag at random intervals (the progress lag is synced with the mini-flags at the top of the spawn map).

Moloch

2017-03-15 16:05

User
  ~0003850

I was spectating some people on the server i rent and i noticed that the flag progress did not lag behind at all, not even a hickup, nothing, perfectly synced, joined the game right after and flag progress was lagging again.

Moloch

2017-03-19 11:17

User
  ~0003872

Last edited: 2017-03-19 14:15

View 3 revisions

Tried some more things to no avail:

- Increased transmit/receive buffers to 2048
- Set initial RTO to 2000
- Used a VPN
- ipv6 was already disabled (disabled it in registry as well because why not)

So its not my network, if this was some sort of misconfiguration on my pc shouldnt i experience this on all maps instead of just 3? Played Soissons the other day and it does not happen there either.

According to Open Hardware Monitor; ingame my GPU core is being utilized 50-75% and VRAM 75%, my CPU is at 40-50% on all cores.

TrackerBugger

2017-03-19 17:24

User
  ~0003873

i can confirm that bug.

Moloch

2017-04-18 21:47

User
  ~0004071

Any word on this? its been nearly 4 months :(

Seriously annoying having to deal with this bug.